Name:           foremost
Version:        1.3
# Upstream is releasing new tarballs on foremost.sf.net/pkg (linked from the
# foremost.sf.net website.) that have normal "x.y" style version numbers
# instead of using the normal sourceforge file release mechanism.  In the past
# these files would get overwritten when upstream had new minor changes to
# push. I'm releasing this update with a prerelease tag until I can confirm
# with upstream that they will no longer be overwriting tarballs with newer
# releases.
Release:        0.1.20060826%{?dist}
Summary:        Recover files by "carving" them from a raw disk

Group:          Applications/File
License:        GPL
URL:            http://foremost.sf.net
# MD5SUM: 73222e54aa0e0e878f58e91cb98f8fbf  foremost-1.3.tar.gz
Source0:        http://foremost.sourceforge.net/pkg/%{name}-%{version}.tar.gz
# Upstream appears to not be using the sourceforge file release mechanism
# Source0: http://dl.sf.net/%{name}/%{name}-%{version}.tar.gz
Source1:       COPYING
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Foremost recovers files files based on their headers, footers, and internal
data structures. This process is commonly referred to as data carving.
Foremost can work on a raw disk drive or image file generated by dd.  The
headers and footers can be specified by a configuration file or you can use
command line switches to specify built-in file types. These built-in types
look at the data structures of a given file format allowing for a more
reliable and faster recovery.

%prep
%setup -q
sed -i 's!/usr/local/etc/foremost.conf!%{_sysconfdir}/foremost.conf!' config.c
sed -i 's/^RAW_FLAGS =.*/RAW_FLAGS = %{optflags}/' Makefile
cp %{SOURCE1} .

%build
make %{?_smp_mflags} CONF=%{_sysconfdir}

%install
rm -rf $RPM_BUILD_ROOT
chmod 0644 *
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
make install BIN=$RPM_BUILD_ROOT%{_bindir} MAN=$RPM_BUILD_ROOT%{_mandir}/man1 \
    CONF=$RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README CHANGES COPYING
%{_bindir}/*
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/foremost.conf

%changelog
* Mon Sep 04 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 1.3-0.1.20060826
- Update to the 1.3 on foremost.sf.net.
- Rebuild for FC6.

* Mon Feb 13 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 1.1-1.1.20060128
- Note on upstream's "beta" system to keep future maintainers out of trouble.
- Rebuild for the FC5 push.
  
* Sat Jan 28 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 1.1-1
- Upgrade to 1.1.
- Rework the config patch as a sed replacement.

* Thu Sep 29 2005 Toshio Kuratomi <toshio@tiki-lounge.com> 1.0-4
- Fix permissions on installed foremost.conf file.

* Thu Sep 29 2005 Toshio Kuratomi <toshio@tiki-lounge.com> 1.0-3
- Reenable the install of foremost.conf as the program complains without it.
- Patch to fix the location of foremost.conf.
 
* Tue Sep 13 2005 Toshio Kuratomi <toshio@tiki-lounge.com> 1.0-2
- New foremost has been released with multi-disk image support and my
  gcc4 warning fixes.
- Upstream isn't versioning their tarballs.  Made a note of the present
  MD5Sum to make it easier to compare against upstream's and tell when
  they've updated their tarball.
 
* Sat Aug 27 2005 Toshio Kuratomi <toshio@tiki-lounge.com> 1.0-1
- Initial version for Fedora Extras.
